## org.red5.server.api.statistics
Interface ISharedObjectStatistics

All Superinterfaces:
  IStatisticsBase

All Known Implementing Classes:
  ClientSharedObject, SharedObject

    public interface ISharedObjectStatistics

extends IStatisticsBase

Statistics informations about a shared object.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Method Summary
`int` `getActiveListeners()` Return current number of subscribed listeners.
`int` `getMaxListeners()` Return maximum number of concurrent subscribed listenes.
`String` `getName()` Return the name of the shared object.
`int` `getTotalChanges()` Return number of attribute changes.
`int` `getTotalDeletes()` Return number of attribute deletes.
`int` `getTotalListeners()` Return total number of subscribed listeners.
`int` `getTotalSends()` Return number of times a message was sent.
`int` `getVersion()` Return the version number of the shared object.
`boolean` `isPersistentObject()` Check if the shared object is persistent.

Methods inherited from interface org.red5.server.api.statistics.IStatisticsBase
`getCreationTime`

Method Detail

### getName

    String getName()

  Return the name of the shared object.

  Returns:
    the name of the shared object

### isPersistentObject

    boolean isPersistentObject()

  Check if the shared object is persistent.

  Returns:
    `True` if the shared object is persistent, otherwise `False`

### getVersion

    int getVersion()

  Return the version number of the shared object.

  Returns:
    the version

### getTotalListeners

    int getTotalListeners()

  Return total number of subscribed listeners.

  Returns:
    number of listeners

### getMaxListeners

    int getMaxListeners()

  Return maximum number of concurrent subscribed listenes.

  Returns:
    number of listeners

### getActiveListeners

    int getActiveListeners()

  Return current number of subscribed listeners.

  Returns:
    number of listeners

### getTotalChanges

    int getTotalChanges()

  Return number of attribute changes.

  Returns:
    number of changes

### getTotalDeletes

    int getTotalDeletes()

  Return number of attribute deletes.

  Returns:
    number of deletes

### getTotalSends

    int getTotalSends()

  Return number of times a message was sent.

  Returns:
    number of sends

Copyright © 2006-2010 The Red5 Project